/*
 * This source code is made available under the terms of the
 * Common Public License Version 1.0 distibuted along with the
 * source code package.
 */
package de.uka.cmtm.serviceregistry.publish.uddi;

/**
 * WsdlPublisher demo class.
 * @author tilmann
 */
public class Demo {

	/**
	 * Entry point.
	 * @param args the command line arguments.
	 */
	public static void main(String[] args) throws Exception {

		WsdlPublisherFactory wsdlPublisherFactory = new WsdlPublisherFactory();;
		wsdlPublisherFactory.setUddiInquiryUrl("http://localhost:8000/juddi/inquiry");
		wsdlPublisherFactory.setUddiPublishUrl("http://localhost:8000/juddi/publish");
		wsdlPublisherFactory.setUddiUser("juddi");
		wsdlPublisherFactory.setUddiPassword("juddi");
		wsdlPublisherFactory.setSaWsdlPublishingCapable(true);
		wsdlPublisherFactory.setUpperServiceOntologyUrl("http://localhost/ontologies/upperService.owl");
		WsdlPublisher publisher = wsdlPublisherFactory.createWsdlPublisher();

		publisher.publishWsdl("http://localhost/wsdl/publishLDocService001.wsdls",
				              "Cooperation and Management", null);

	}

}
